> ## Documentation Index
> Fetch the complete documentation index at: https://api.livechatai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Message a Chatbot (public)

> **DEPRECATED:** This endpoint will be deprecated on August 1st, 2025. Please use the v1 API endpoints instead. Message a Chatbot



## OpenAPI

````yaml post /api/aibot/reply
openapi: 3.0.1
info:
  title: LiveChatAi API Swagger
  description: >-
    Welcome to the developer hub for LiveChatAi. You'll find comprehensive
    guides and documentation to help you start working with LiveChatAi as
    quickly as possible. **NOTICE: All endpoints in this version are deprecated
    as of August 1st, 2025. Please migrate to v1 API endpoints.**
  version: '1.0'
servers:
  - url: https://app.livechatai.com/
security:
  - bearerAuth: []
paths:
  /api/aibot/reply:
    post:
      tags:
        - Chatbot
      summary: Message a Chatbot (public)
      description: >-
        **DEPRECATED:** This endpoint will be deprecated on August 1st, 2025.
        Please use the v1 API endpoints instead. Message a Chatbot
      requestBody:
        required: true
        description: Message details for the chatbot
        content:
          application/json:
            schema:
              type: object
              required:
                - question
                - chatbotId
              properties:
                question:
                  type: string
                  example: what.....?
                  description: The question or message to send to the chatbot
                chatbotId:
                  type: string
                  example: c****************1cx4
                  description: Unique identifier of the chatbot to message
                chatId:
                  type: string
                  example: l****************8fv1
                  description: 'Optional: Unique identifier of an existing chat session'
                streaming:
                  type: boolean
                  example: false
                  description: 'Optional: Enable streaming of the response'
      responses:
        '200':
          description: Message sent and response received successfully
        '429':
          description: Rate limit exceeded for messaging
        '500':
          description: Internal server error occurred
      deprecated: true
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````